## visad.bom
Class FrontManipulationRendererJ3D

    java.lang.Object
      visad.DataRenderer
          visad.java3d.RendererJ3D
              visad.java3d.DirectManipulationRendererJ3D
                  visad.bom.CurveManipulationRendererJ3D
                      visad.bom.FrontManipulationRendererJ3D

All Implemented Interfaces:
  Cloneable

class FrontManipulationRendererJ3D
extends CurveManipulationRendererJ3D

Field Summary
`(package private) FrontDrawer` `fd`

Fields inherited from class visad.bom.CurveManipulationRendererJ3D
`default_values, tuple, which_point, which_set`

Fields inherited from class visad.java3d.DirectManipulationRendererJ3D
``

Fields inherited from class visad.java3d.RendererJ3D
``

Fields inherited from class visad.DataRenderer
`enabled, pickCrawlToCursor`

Constructor Summary
`(package private)` `FrontManipulationRendererJ3D(FrontDrawer f, int mmm, int mmv)`

Method Summary
`void` `release_direct()` mouse button released, ending direct manipulation

Methods inherited from class visad.bom.CurveManipulationRendererJ3D
`addPoint, checkClose, checkDirect, clone, drag_direct, getWhyNotDirect, main, makeShadowSetType, setSpatialValues, stop_direct`

Methods inherited from class visad.java3d.DirectManipulationRendererJ3D
`clearScene, doTransform, isLegalTextureMap, setBranch, setLinks`

Methods inherited from class visad.java3d.RendererJ3D
`clearBranch, doAction, flush, getBranch, makeShadowFunctionType, makeShadowRealTupleType, makeShadowRealType, makeShadowTextType, makeShadowTupleType, setBranchEarly, toggle`

Methods inherited from class visad.DataRenderer

`addException, checkAction, clearAVControls, clearExceptions, computeRanges, earthToSpatial, earthToSpatial, findRayManifoldIntersection, get_all_feasible, get_any_changed, get_any_transform_control, getBadScale, getDisplay, getDisplayCoordinateSystem, getDisplayRenderer, getEarthDimension, getEarthUnits, getEnabled, getExceptionVector, getIsDirectManipulation, getLastMouseModifiers, getLatLonIndices, getLatLonRange, getLink, getLinks, getPickCrawlToCursor, getRanges, getRealVectorTypes, isTransformControl, prepareAction, realCheckDirect, removeLink, set_all_feasible, setDisplay, setDisplayRenderer, setEarthSpatialData, setEarthSpatialDisplay, setIsDirectManipulation, setLastMouseModifiers, setLatLonIndices, setLinks, setPickCrawlToCursor, spatialToEarth, spatialToEarth, suppressExceptions`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fd

    FrontDrawer fd

Constructor Detail

### FrontManipulationRendererJ3D

    FrontManipulationRendererJ3D(FrontDrawer f,
                                 int mmm,
                                 int mmv)

Method Detail

### release_direct

    public void release_direct()

  mouse button released, ending direct manipulation

  Overrides:
    `release_direct` in class `CurveManipulationRendererJ3D`